<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Task1</title>
	<style type="text/css">
		*{
			margin: 0px;
			padding: 0px;
		}
		body{
			background-color: aqua;
			font-color: white;
			background-position: center;
			background-size: cover;
			font-family: sans-serif;
			margin-top: 40px;
			margin-left: 40px;
		}
		.reg{
			width: 750px;
			background-color: rgba(0, 0, 0, 0.6);
			color: #ffffff;
			padding: 10px 0px 10px 0px;
			text-align: center;
			border-radius: 15px;
		}
	</style>
</head>
<body>
	<h1 class="reg">Bill Payment</h1>
	<script type="text/javascript">
		const nPhonePrice = 12000 ;
		const nAccessoriesPrice = 650;
		
		/*For number of only accessories buyed        let nAccessories = 1;*/

		/*Number of phones and accessories buyed*/
		let nPhoneAndAccessories = 1;

		let GSTTax = 0.18; /*18%*/
		let nBankBalance = 80000;
		let nSpendingAmount = 55000;
		let nTotalPhonePrice = 0;
		let nTotalAccessoriesPrice = 0;
		let nTaxPrice = 0;

		console.log("Price of Phone is ", nPhonePrice, " and Accessories is ",nAccessoriesPrice);		
		console.log("Spending Amount : ",nSpendingAmount);

		if (nSpendingAmount < nBankBalance) {
				while((nTaxPrice+nTotalAccessoriesPrice+nTotalPhonePrice) < nSpendingAmount){

					nSpendingAmount = (nSpendingAmount - nPhonePrice - nAccessoriesPrice);

				/*To print the the number of phones and accessories buyed and also printing the
				console.log("Spending Amount left after buy Phone with Accessories ", nPhoneAndAccessories," is ",nSpendingAmount);*/		

				nPhoneAndAccessories ++ ;
				
				nBankBalance = (nBankBalance - nPhonePrice - nAccessoriesPrice);

				nTotalPhonePrice += nPhonePrice;

				nTotalAccessoriesPrice += nAccessoriesPrice;
			}

			nTaxPrice = (nTotalAccessoriesPrice+nTotalPhonePrice)*0.18;

		document.write("Total number of Phones and Accessories purchased : ",(nPhoneAndAccessories - 1),"<br>");

		document.write("Total Amount without tax : Rs.", (nTotalAccessoriesPrice+nTotalPhonePrice),"<br>");

		document.write("Tax : Rs.",nTaxPrice,"<br>");

		document.write("Total Amount to pay : Rs.", nTaxPrice+nTotalAccessoriesPrice+nTotalPhonePrice,"<br>");

		document.write("Total Accessories Price to pay : Rs.", nTotalAccessoriesPrice,"<br>");

		document.write("Total Phone Price to pay : Rs.", nTotalPhonePrice,"<br>");

		document.write("Spending Amount left : Rs.",nSpendingAmount,"<br>");

		document.write("The remaining Bank Balance is : Rs.", nBankBalance,"<br>");
	}
</script>
</body>
</html>